Jump to: <a href='' ng-click='openMenusList()'>Menus list</a> | <a href='' ng-click='openMenuEdit()'>Edit menu</a>
<hr>
<h2>Menu item edit</h2>
<!-- TODO: move this out to its own directive -->
<div ng-repeat="messageItem in flashMessages">
	<div class="alert success">{{messageItem.message}}</div>
</div>
<form name="menuItemForm" class="editArticleDialog">
		<div class="md-dialog-content">
			<div layout="row">
				<md-input-container class="md-icon-float md-block" flex-gt-sm="40">
				  <label>Title (cz)</label>
					<md-icon class="name">
						<img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/cz.png" />
					</md-icon>
				  <input ng-model="model.title" type="text" required="">
				</md-input-container>
			</div>
			<div layout="row">
				<md-input-container class="md-icon-float md-block" flex-gt-sm="40">
					<label>Title (en)</label>
					<md-icon class="name">
						<img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/gb.png" />
					</md-icon>
					<input ng-model="model.title_en" type="text" >
				</md-input-container>
			</div>
			<div layout="row">
				<md-checkbox ng-model="model.show_subtitle" aria-label="Show subtitle?'">
					Show subtitle
				</md-checkbox>
			</div>
			<div layout="row" ng-if="model.show_subtitle">
				<md-input-container class="md-icon-float md-block" flex-gt-sm="40">
					<label>Subtitle (cz)</label>
					<md-icon class="name">
						<img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/cz.png" />
					</md-icon>
					<input ng-model="model.subtitle" type="text" >
				</md-input-container>
			</div>
			<div layout="row" ng-if="model.show_subtitle">
				<md-input-container class="md-icon-float md-block" flex-gt-sm="40">
					<label>Subtitle (cz)</label>
					<md-icon class="name">
						<img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/gb.png" />
					</md-icon>
					<input ng-model="model.subtitle_en" type="text" >
				</md-input-container>
			</div>
			<div layout="row" ng-if="model.publishable">
				<md-checkbox ng-model="model.published" aria-label="Published?'">
					Published
				</md-checkbox>
			</div>
		</div>
	<md-dialog-actions layout="row">
		      <span flex></span>
		      <md-button ng-click="save()" ng-disabled="menuItemForm.$invalid || saving" md-autofocus>
		       {{getSaveLabel()}}
		      </md-button>
		      <md-button ng-click="cancel()" style="margin-right:20px;">
		        Cancel
		      </md-button>
		    </md-dialog-actions>
</form>
